<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_CSS}}" />
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_READ)">
    <th:block th:replace="common/fragments/elements :: title(text = ${workitem.type.name}, 
                                                             icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS}, 
                                                             url = @{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS}})" 
                                                             />
    <th:block th:insert="common/fragments/input :: message"></th:block>
    <div class="ui pointing secondary menu" id="tabs" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
      <a class="item" data-tab="workitem">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_WORKITEMTAB}"></i>
        <span class="content" th:text="${workitem.type.name}"></span>
      </a>
      <a class="item" data-tab="notes">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_NOTETAB}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NOTES}}"></span>
      </a>
      <a class="item" data-tab="worklog">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_HOURSTAB}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKLOG}}"></span>
      </a>
      <a class="item" data-tab="attachments">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_WORKITEMTAB}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ATTACHMENTS}}"></span>
      </a>
      <a class="item" data-tab="tags">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TAGS}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TAGS}}"></span>
      </a>
      <a class="item" data-tab="instructions">
        <i th:class="${'info circle icon'}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_INSTRUCTIONS}}"></span>
      </a>
      <a class="item" data-tab="history">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_HISTORY}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HISTORY}}"></span>
      </a>
    </div>
    <br />
    <div class="ui tab" data-tab="workitem" th:insert="workitems/fragments/workitem :: workitem"></div>
    <div class="ui tab" data-tab="notes"></div>
    <div class="ui tab" data-tab="worklog"></div>
    <div class="ui tab" data-tab="attachments"></div>
    <div class="ui tab" data-tab="tags"></div>
    <div class="ui tab" data-tab="instructions"></div>
    <div class="ui tab" data-tab="history"></div>
    <br />
    <div th:replace="common/fragments/modal :: modal(large,'')"></div>
    <div th:replace="common/fragments/modal-confirmation :: modal-confirmation"></div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WORKITEMSNOTES_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WORKITEMS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WORKITEMSWORKLOG_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WORKITEMSPROPERTIES_JS}}"></script>
</body>
</html>